Summary:	Userspace RDMA Connection Manager
Summary(pl.UTF-8):	Zarządca połączeń RDMA w przestrzeni użytkowika
Name:		librdmacm
Version:	1.0.19.1
Release:	1
License:	BSD or GPL v2
Group:		Libraries
Source0:	https://www.openfabrics.org/downloads/rdmacm/%{name}-%{version}.tar.gz
# Source0-md5:	0e2b7f629950e80453e8693a4c8b1654
Source1:	%{name}.pc.in
Patch0:		%{name}-link.patch
URL:		http://www.openfabrics.org/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake
BuildRequires:	libibverbs-devel
BuildRequires:	libtool >= 2:2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
librdmacm provides a userspace RDMA Communication Management API.

%description -l pl.UTF-8
librdmacm udostępnia API RDMA Communication Management (zarządzające
połączeniami RDMA) w przestrzeni użytkownika.

%package devel
Summary:	Header files for librdmacm library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki librdmacm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libibverbs-devel

%description devel
Header files for librdmacm library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki librdmacm.

%package static
Summary:	Static librdmacm library
Summary(pl.UTF-8):	Statyczna biblioteka librdmacm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains the static librdmacm library.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną bibliotekę librdmacm.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# check if not present already
[ ! -f $RPM_BUILD_ROOT%{_pkgconfigdir}/rdmacm.pc ] || exit 1
install -d $RPM_BUILD_ROOT%{_pkgconfigdir}
sed -e 's,@prefix@,%{_prefix},;
	s,@libdir@,%{_libdir},;
	s,@LIBVERSION@,%{version},' %{SOURCE1} >$RPM_BUILD_ROOT%{_pkgconfigdir}/rdmacm.pc

# preloadable library
%{__rm} $RPM_BUILD_ROOT%{_libdir}/rsocket/librspreload.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README
%attr(755,root,root) %{_bindir}/cmtime
%attr(755,root,root) %{_bindir}/mckey
%attr(755,root,root) %{_bindir}/rcopy
%attr(755,root,root) %{_bindir}/rdma_client
%attr(755,root,root) %{_bindir}/rdma_server
%attr(755,root,root) %{_bindir}/rdma_xclient
%attr(755,root,root) %{_bindir}/rdma_xserver
%attr(755,root,root) %{_bindir}/riostream
%attr(755,root,root) %{_bindir}/rping
%attr(755,root,root) %{_bindir}/rstream
%attr(755,root,root) %{_bindir}/ucmatose
%attr(755,root,root) %{_bindir}/udaddy
%attr(755,root,root) %{_bindir}/udpong
%attr(755,root,root) %{_libdir}/librdmacm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librdmacm.so.1
%dir %{_libdir}/rsocket
%attr(755,root,root) %{_libdir}/rsocket/librspreload.so*
%{_mandir}/man1/mckey.1*
%{_mandir}/man1/rcopy.1*
%{_mandir}/man1/rdma_client.1*
%{_mandir}/man1/rdma_server.1*
%{_mandir}/man1/rdma_xclient.1*
%{_mandir}/man1/rdma_xserver.1*
%{_mandir}/man1/riostream.1*
%{_mandir}/man1/rping.1*
%{_mandir}/man1/rstream.1*
%{_mandir}/man1/ucmatose.1*
%{_mandir}/man1/udaddy.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/librdmacm.so
%{_libdir}/librdmacm.la
%{_includedir}/infiniband/ib.h
%{_includedir}/rdma
%{_pkgconfigdir}/rdmacm.pc
%{_mandir}/man3/rdma_*.3*
%{_mandir}/man7/rdma_cm.7*
%{_mandir}/man7/rsocket.7*

%files static
%defattr(644,root,root,755)
%{_libdir}/librdmacm.a
%changelog
* Wed Feb 04 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/librdmacm.git;a=log;h=master

* Wed Sep 03 2014 Jakub Bogusz <qboosh@pld-linux.org> e767468
- updated to 1.0.19.1

* Sun Jul 20 2014 Jakub Bogusz <qboosh@pld-linux.org> b7e4817
- updated to 1.0.19

* Tue Mar 18 2014 Jakub Bogusz <qboosh@pld-linux.org> 9dd5515
- updated to 1.0.18.1

* Sun Feb 02 2014 Jakub Bogusz <qboosh@pld-linux.org> b746fb1
- updated to 1.0.18

* Thu Nov 21 2013 Jakub Bogusz <qboosh@pld-linux.org> 51520e4
- updated to 1.0.17.1

* Sat Mar 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 9e7bee0
- updated to 1.0.17
- added link patch (fixes librspreload linking)

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> fc869fe
- updated to 1.0.16

* Sat Sep 17 2011 Jakub Bogusz <qboosh@pld-linux.org> 386f54e
- updated to 1.0.15

* Fri Jul 22 2011 marti <marti@pld-linux.org> b379604
- added BR

* Sat Mar 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 5873973
- updated to 1.0.14.1

* Sat Jan 08 2011 Jakub Bogusz <qboosh@pld-linux.org> ac5eb94
- updated to 1.0.14

* Fri Sep 10 2010 Jakub Bogusz <qboosh@pld-linux.org> b77b4da
- typo

* Fri Sep 10 2010 Jakub Bogusz <qboosh@pld-linux.org> f9ab0ca
- added pkgconfig file (expected by e.g. corosync)

* Fri Sep 10 2010 Jakub Bogusz <qboosh@pld-linux.org> c8510c3
- updated to 1.0.13
- pl

* Sun Mar 01 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 3759ee8
- add BR libiverbs-devel

* Sun Mar 01 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 3eddb32
- initial

